Core Scientific, Inc.

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/core-scientific-inc/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1761264000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.corescientific.com/sec-filings/all-sec-filings/content/0001628280-25-046272/core-20250930.htm",
    "holding_balance": 2116.0,
    "holding_net_change": 504.0,
    "transaction_value_usd": 55961020.080000006,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1767139200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://investors.corescientific.com/sec-filings/all-sec-filings/content/0001628280-26-013305/core-20251231.htm",
    "holding_balance": 2537.0,
    "holding_net_change": 421.0,
    "transaction_value_usd": 36833828.88,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  },
  {
    "date": 1772496000000,
    "type": "sell",
    "coin_id": "bitcoin",
    "source_url": "https://investors.corescientific.com/sec-filings/all-sec-filings/content/0001628280-26-013305/core-20251231.htm",
    "holding_balance": 613.0,
    "holding_net_change": -1924.0,
    "transaction_value_usd": 131385938.84,
    "average_entry_value_usd": 0.0,
    "transaction_value_calculated": true
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    613.0
  ],
  [
    1779062400000,
    613.0
  ],
  [
    1779148800000,
    613.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1778976000000,
    47464504.18
  ],
  [
    1779062400000,
    47166837.510000005
  ],
  [
    1779148800000,
    47053886.13
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 23.37,
    "date": "2026-05-15",
    "high": 24.6,
    "open": 24.0,
    "close": 24.21,
    "volume": 10146700
  },
  {
    "low": 22.615,
    "date": "2026-05-18",
    "high": 24.165,
    "open": 24.165,
    "close": 23.57,
    "volume": 10519800
  },
  {
    "low": 21.815,
    "date": "2026-05-19",
    "high": 23.245,
    "open": 22.986,
    "close": 22.92,
    "volume": 11525845
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": -0.035,
  "quarterly_earnings_growth": 0.612,
  "eps_estimate_current_quarter": -0.05
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": 15.35,
  "six_month_return": 53.52,
  "three_month_return": 32.72
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/core-scientific-inc/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 0.6,
  "total_btc_percentage": 0.003,
  "share_price_change_state": "down"
}